Subject: IPP> ADM - IPP agend for the 5/20-21 meetings

From: "Scott Isaacson" <[email-masked]>
Date: Mon, 11 May 1998 14:45:54 -0600

I am trying to put together the agenda for the IPP meetings next week  in DC.  I publish this as a first draft to make sure that I have not  forgotten anything.  If you see a need to add something, please ping me.

Scott I.

Wednesday, 5/20

11:00 AM - 11:30 PM  IPP Misc.(all)

Agenda fixing, progress of IPP in the IETF report, etc. 

11:30 AM - 12:00 PM Bug fixes in current IPP documentation  (Scott, Bob)

List of "minor editorial/bug fix changes" for Model and Semantics  document (Scott) and the Transport and Encoding Document (Bob).   Editors please post the list of proposed changes prior to the meeting 
and come ready to present the list and solicit input on additial needed  fixes.

12:00 PM - 1:30 PM Lunch

1:30 PM - 2:30  PM Interoperability Testing (Pete Z.)

Peter will report on the past, present, and future of interoperability testing and lead a discussion about how to proceed.  One of our goals is to progress IPP as far down the IETF standards track as possible - this included demonstrating two or more interoperable implementations.  It is hard to argue with a spec and products.

2:30 - 6:00 MIB Access (Scott, Tom)
(including a break somewhere)

Review the latest proposal on integrating MIB Table access into the IPP Get-Printer-Attributes operation. See:

ftp://ftp.pwg.org/pub/pwg/ipp/new_MOD/ipp-mib-access-980505-rev.doc
ftp://ftp.pwg.org/pub/pwg/ipp/new_MOD/ipp-mib-access-980505-rev.pdf
ftp://ftp.pwg.org/pub/pwg/ipp/new_MOD/ipp-mib-access-980505.doc
ftp://ftp.pwg.org/pub/pwg/ipp/new_MOD/ipp-mib-access-980505.pdf

The last one (ipp-mib-access-980505.pdf)  will be used during the meeting, the other formats are included only for reference.  We should work through some examples to check for understanding and to validate the completeness of the proposal.

Thursday, 5/21

8:30 - 12:00  Notification  (Tom, Harry)
(including a break somewhere)

Review the latest proposal on IPP event semantics and subcription and notification mechanisms.  The current document is posted at:

ftp://ftp.pwg.org/pub/pwg/ipp/new_NOT/ipp-job-notify-proposal-rev.doc
ftp://ftp.pwg.org/pub/pwg/ipp/new_NOT/ipp-job-notify-proposal-rev.pdf
ftp://ftp.pwg.org/pub/pwg/ipp/new_NOT/ipp-job-notify-proposal.doc
ftp://ftp.pwg.org/pub/pwg/ipp/new_NOT/ipp-job-notify-proposal.pdf

Tom expects to post another version before the the face to face  Look for a mail message on the mailing list announcing that the new version has been posted.  We will review the non-revision marked file with line numbers.  We should work through some examples to check for understanding and to validate the completeness of the proposal.

12:00 - 1:30 Lunch

1:30 - 6:00 Server to Device Issues (SDP)  (Roger, Harry)
(including a break somewhere)

Review the proposal from Roger and Harry on "Printer Server-to-Device Protocol Proposal" See:

ftp://ftp.pwg.org/pub/pwg/sdp/sdp-proposal.txt
ftp://ftp.pwg.org/pub/pwg/sdp/sdp-proposal.pdf

We should work through some examples to check for understanding and to validate the completeness of the proposal.

Reference material can be found in Don's mail message "SDP> Pointers to P1284.3, P1284.4 and IEEE Std 1284.1-1997":

http://www.pwg.org/hypermail/sdp/0024.html

which in turn references:

ftp://ftp.lexmark.com/pub/ieee/1284.3/d400.pdf
ftp://ftp.lexmark.com/pub/ieee/1284.4/specification/draft170.pdf

I can't remember if we decided that there would be a presentation on these by someone at the meeting?